Update your Cloud PBX exten
Update your exten by PBX subscription id and exten unique id.
The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer.
The exten unique id can be retrieved from GET /api/v1/pbx/subscriptions/{pbx_id}/extens, which returns the list of extens in the given Cloud PBX.
This endpoint allows you to specify SIP authentication credentials for you exten. Also, you can update a password for your exten via this endpoint.
Path Parameters
PBX subscription id
1 <= valueExten unique id
1 <= valueHeader Parameters
Your API token
Request Body
application/json
Exten request
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens/1" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}